;*
;******************** ***********************
;*
;*  ATtiny25,   4,096 
;*   - 50 
;*
;* Main:           
;*
;* Fuses          CKSEL=1101, SUT=10
;*                
;****************************************************************************

.nolist
.include "tn25def.inc"
.list

;*****  *****

.def	t1	 = r16     ;   
.def	t2	 = r17     ;            

.cseg

.org 0
	rjmp Initial		 ;  

nop

Initial: ;  
	
ldi   t1,(RamEnd)
    out   spl,t1	    ;  

   	ldi	t1,0b00000000  
	out	PORTB,t1        ; PB0,PB1- 
	ldi	t1,0b00000011		
	out	DDRB,t1	


ldi t1,(1<<PWM1A)|(1<<COM1A0)|(1<<CS13)|(1<<CS11)|(1<<CS10)
out TCCR1,t1 ;   T1,  ,    CK=4 
		    
ldi  t1,40          ;    
out  OCR1A,t1
ldi t1,79
out  OCR1C,t1 	     ;   = 50  


Main: ;  
nop
rjmp Main


;*********************************************************************************
.Exit
